@import '../../../old-styles/index.scss';
@import '../../../styles/utilities/extends';


/**
 * Different states
 */
%primary-expanded-state {
  &.primary.expanded {
    border: 1px solid #0075a3;
    & > .accordion-header {
      .card-header {
        border-bottom: 1px solid #0075a3;
        background: #ffffff;
        border-radius: 4px 4px 0 0;
        .custom-checkbox {
          .custom-control-label {
            color: #0075a3;
            .secondary-text {
              @extend %secondary-label;
              color: #0075a3;
            }
          }
        }

        .text {
          color: #0075a3;
          .secondary-text {
            @extend %secondary-label;
            color: #0075a3;
          }
        }
      }
    }
  }
}

%secondary-expanded-state {
  &.secondary.expanded {
    background: #f1f2f2;
    & > .accordion-header {
      .card-header {
      }
    }
  }
}

/**
 * Different themes
 */
%primary-theme {
  &.primary {
    margin-bottom: 2rem;
    border: 1px solid #c9cacb;
    border-radius: 4px;

    & > .accordion-header {
      .card-header {
        display: flex;
        border-bottom: 0;
        background: #f1f2f2;
        border-radius: 4px;
        .custom-checkbox {
          .custom-control-label {
            font-size: 18px;
            color: #00171f;
            .secondary-text {
              @extend %secondary-label;
            }
          }
        }

        .text {
          font-size: 18px;
          color: #00171f;
          cursor: default;

          .secondary-text {
            @extend %secondary-label;
          }
        }

        .collapse-edit-button {
          margin-left: auto;
          border: none;
          background-color: transparent;

          &:focus {
            outline: none;
          }

          .chevron {
            font-size: small;
            margin-top: 0.5rem;
            margin-left: 0.75rem;
            color: #405157;
          }
        }
      }
    }

    & > .accordion-body {
    }
  }
}

%secondary-theme {
  &.secondary {
    margin-bottom: 2rem;
    border-radius: 4px;
    overflow: hidden;

    & > .accordion-header {
      padding-left: 0;
      .card-header {
        display: flex;
        border-bottom: 0;
        background: #f1f2f2;
        padding: 16px 24px;

        .custom-checkbox {
          padding-left: 0;
          .custom-control-label {
            font-size: 18px;
            color: #00171f;
            &:before,
            &:after {
              display: none;
            }
          }
        }

        .collapse-edit-button {
          margin-left: auto;
          border: none;
          background-color: transparent;
          padding: 0;

          &:focus {
            outline: none;
          }

          .chevron {
            font-size: small;
            margin-top: 0.5rem;
            margin-left: 0.75rem;
            color: #405157;
          }
        }
      }
    }

    & > .accordion-body {
    }
  }
}

/**
 * Accordion component
 */
.accordion-component {
  @extend %primary-theme;
  @extend %secondary-theme;
  @extend %primary-expanded-state;
  @extend %secondary-expanded-state;
}
